## mdns-reflector 0.0.1%2Bgit20230914.4b4cd3b

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=0.0.1+git%cd.%h" \
https://github.com/vfreex/mdns-reflector \
HEAD

## mdns-reflector 0.0.1+git20230914.4b4cd3b

=== CMakeLists.txt ===
# This file is part of mDNS Reflector (mdns-reflector), a lightweight and performant multicast DNS (mDNS) reflector.
# Copyright (C) 2021 Yuxiang Zhu <me@yux.im>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.14)
project(mdns-reflector C)

set(CMAKE_C_STANDARD 11)

add_subdirectory(src)

=== src/CMakeLists.txt ===
# This file is part of mDNS Reflector (mdns-reflector), a lightweight and performant multicast DNS (mDNS) reflector.
# Copyright (C) 2021 Yuxiang Zhu <me@yux.im>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

add_executable(mdns-reflector)
target_sources(mdns-reflector
    PRIVATE
        main.c mcast.c  logging.c daemon.c reflector.c reflection_zone.c
    PUBLIC
        mcast.h logging.h daemon.h reflector.h reflection_zone.h options.h
)
target_compile_options(mdns-reflector PRIVATE -Wall -Wextra -Wpedantic -Wconversion -D__APPLE_USE_RFC_3542)
target_compile_definitions(mdns-reflector PRIVATE)
target_include_directories(mdns-reflector PRIVATE ${MDNS_REFLECTOR_INCLUDE})

install(TARGETS mdns-reflector
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib
        RUNTIME DESTINATION bin
        INCLUDES DESTINATION include
        )

=== debian/changelog ===
mdns-reflector (0.0.1+git20230914.4b4cd3b-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install systemd units into /usr (DEP17 M2) (Closes: #1059515)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 22 Apr 2024 02:24:48 +0200

mdns-reflector (0.0.1+git20230914.4b4cd3b-2) unstable; urgency=medium

  * debian/control:
    + Add libcap2-bin to D: field. Thanks to Petter Reinholdtsen for providing
      the patch. (Closes: #1035719).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Feb 2024 22:16:11 +0100

mdns-reflector (0.0.1+git20230914.4b4cd3b-1) unstable; urgency=medium

  * Upload to unstable.

  * New upstream Git snapshot.
  * lintian:
    + Temporarily add no-manual-page override. Work in progress.
  * debian/patches:
    + Update 2001_own-system-user-account.patch. Use our own system user also
      for multi-service operations.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 26 Dec 2023 09:29:36 +0100

mdns-reflector (0.0.1+git20230316.f1bd0f1-1) experimental; urgency=medium

  * New upstream Git snapshot.
  * debian/patches:
    + Drop 0001_add-dot-d-dir-as-new-env-source.patch. Applied upstream.
    + Trivial rebase of 2001_own-system-user-account.patch.
  * debian/install:
    + Adjust to latest upstream Git snapshot. One can now launch multiple
      instance of mdns-reflector service.
  * debian/mdns-reflector.mainscript:
    + Remove previously shipped conffile /etc/default/mdns-reflector.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Mar 2023 18:39:15 +0100

mdns-reflector (0.0.1+git20210821.44a4a43-2) experimental; urgency=medium

  [ Mike Gabriel ]
  * debian/postrm:
    + Add file. Remove system user/group again if pkg gets purged from the
      system.
  * debian/postinst:
    + Drop quotes around exit codes.
  * debian/patches:
    + Rebase 2001_own-system-user-account.patch.

  [ Daniel Teichmann ]
  * debian/postinst:
    + Fix adduser call in postinst by adding '--allow-bad-names'.
  * debian/install:
    + Install 'misc/mdns-reflector.d' to '/etc/default'.
  * debian/patches:
    + Add debian/patches/0001_add-dot-d-dir-as-new-env-source.patch. Allows
      other packages to drop config snippets.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 08 Feb 2023 16:29:56 +0100

mdns-reflector (0.0.1+git20210821.44a4a43-1) experimental; urgency=low

  [ Yuxiang Zhu ]
  * Initial release. (Closes: #1030803).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 07 Feb 2023 16:57:48 +0100

=== debian/control ===
Source: mdns-reflector
Section: net
Priority: optional
Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
 Yuxiang Zhu <me@yux.im>
Build-Depends: cmake,
               debhelper-compat (= 13),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/vfreex/mdns-reflector
Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/mdns-reflector.git
Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/mdns-reflector

Package: mdns-reflector
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         libcap2-bin,
Description: lightweight and performant multicast DNS (mDNS) reflector
 mDNS Reflector (mdns-reflector) is a lightweight and performant
 multicast DNS (mDNS) reflector with a modern design. It reflects mDNS
 queries and responses among multiple LANs, which allows you to run
 untrusted IoT devices in a separate LAN but those devices can still be
 discovered in other LANs.
 .
 Supports zone based reflection and IPv6.
